# Awesome ActivityPub [![Awesome](https://awesome.re/badge.svg)](https://awesome.re) [![License: CC0](https://img.shields.io/badge/License-CC0-lightgrey.svg)](https://creativecommons.org/publicdomain/zero/1.0/) ![Status: WIP](https://img.shields.io/badge/status-WIP-red.svg)

[<img src="https://rawgit.com/BasixKOR/awesome-activitypub/master/ActivityPub-logo.svg" align="right" width="400">](https://activitypub.rocks/)

> Curated list of ActivityPub-based Projects!

**[ActivityPub](https://www.w3.org/TR/activitypub/) is W3C standard, decentralized social networking protocol.** 

## Contents
 * [Official](#official)
 * [Platforms](#platforms)
 * [Implementations](#implementations)
 * [Libraries](#libraries)
 * [Bridges](#bridges)

## Official
 * [ActivityPub Website](https://activitypub.rocks/) - The official website of ActivityPub protocol.
   * [ActivityPub Test Suite](https://test.activitypub.rocks) - Make sure your service is compliance with the standard.
 * [W3C ActivityPub Standard](https://www.w3.org/TR/activitypub/) - The standard document of ActivityPub.

## Platforms
 * [Mastodon](https://joinmastodon.org/) - Microblogging service based on ActivityPub and OStatus protocol.
 * [Pleroma](https://pleroma.social/) - Lightweight microblogging service based on ActivityPub and OStatus protocol.
 * [Aardwolf](https://aardwolf.social/) - Macroblogging social network based on ActivityPub.
 * [Rustodon](https://github.com/rustodon/rustodon) - A Mastodon-compatible, ActivityPub-speaking server in Rust.
 * [Hubzilla](https://project.hubzilla.org) - Macroblogging social network supports Zot, OStatus, diaspora, ActivityPub.
 * [Misskey](https://github.com/syuilo/misskey) - Microblogging service based on ActivityPub.
 * [PeerTube](https://github.com/Chocobozzz/PeerTube) - Video streaming platform with ActivityPub and WebTorrent.
 * [Funkwhale](https://funkwhale.audio/) - A modern, self-hosted, free and open-source music server
 * [microblog.pub](https://microblog.pub/) - A self-hosted, single-user, ActivityPub powered microblog.
 * [Plume](https://github.com/Plume-org/Plume) - Federated blogging engine with ActivityPub.
 * [disbin](https://distbin.com/about) - Distributed Pastebin, support ActivityPub and Micropub
 * [Fontina](https://github.com/beta-phenylethylamine/fontina) - Photo sharing social network.
 * [FediBlog](http://fedi.blog/) - Self-hosted, ActivityPub, Markdown, PHP, NoSQL, fully customisable blog engine.
 * [PixelFed](https://pixelfed.org/) - Federated image sharing service based on ActivityPub. **[WIP]**
 * [GitPub](https://github.com/git-federation/gitpub) - a decentralized federation protocol based on ActivityPub for federating Git services. **[WIP]**

## Implementations
 * [Kroeg](https://github.com/puckipedia/Kroeg) - ActivityPub server implementation written in C#.
 * [pylodon](https://github.com/rowanlupton/pylodon) - Flask-based ActivityPub server implementation.
 * [ActivityPub Example](https://github.com/tOkeshu/activitypub-example) - An exmaple of ActivityPub server implementation written in Python.
 * [microstatus](https://github.com/Arkanosis/microstatus) - Mastodon, GNUsocial compatible ActivityPub and OStatus server implementation.

## Libraries
 * [activity](https://github.com/go-fed/activity) - ActivityPub library for Golang.

## Bridges
 * [GNU Social ActivityPub Plugin](https://git.gnu.io/dansup/ActivityPub) - Plugin for GNU Social to add ActivityPub support.
 * [Bridgy Fed](https://github.com/snarfed/bridgy-fed) - A bridge between IndieWeb and ActivityPub, OStatus.